@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;400;700&display=swap');

* {
  margin: 0;
  padding: 0;
}

body {
  /* font-family: monospace; */
  /* font-family: 'Roboto', sans-serif;
  font-family: 'Poppins', sans-serif; */
  /* position: relative; */
  background-color: #131316;
  color: #ffffff;
  font-family: 'Poppins', sans-serif;
  padding: 0;
  margin: 0;
}
button {
  cursor: pointer;
}

nav {
  width: 100%;
  z-index: 2;
  position: absolute;
  display: flex;
  justify-content: space-between;
  align-items: baseline;
  flex-wrap: wrap;
}
#logo {
  /* border: solid ; */
  width: 100px;
  font-size: 15px;
  color: #fff;
  font-size: 16px;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
}

#logo>span{
  font-size: 50px;
  margin-right: 5px;
  transform: translate(2px,-2px);
}
nav > div {
  display: flex;
  margin: 0 10px;
  padding: 10px;
  height: 40px;
}

#nav-items {
  display: flex;
  /* border: solid; */
  padding: 0;
  flex-wrap: wrap;
}

#nav-items > div {
  margin: 0 1rem;
  color: #fff;
  font-size: 14px;
  cursor: pointer;
  padding-top: 5px;
  /* border: solid; */
}
#search {
  position: relative;
}
#search > img {
  width: 30px;
  filter: invert(1);
}
#search-label{
  font-size: 12px;
  color: #333;
 }
#search-section{
  cursor: auto;
  display: none;
  padding-bottom: 10px;
  box-sizing: border-box;
  position: absolute;
  top: 44px;
  right: -80px;
  width: 500px;
  background: #333;
  background: linear-gradient(
    135deg,
    rgba(255, 255, 255, 0.3),
    rgba(0, 0, 0, 0.1)
  );
  backdrop-filter: blur(10px);
  height: 200px;
  border-radius: 0 0 20px 20px;
}
#search > div > input {
  border-radius: 5px;
  width: 90%;
  margin: 10px;
  background: #ffffffc6;
  padding: 10px 15px;
  font-size: 16px;
  border: none;
  outline: none;
  color: #333;
}

#search-items {
  margin-left: 1rem;
  display: flex;
  flex-direction: column;
}
#search-items > a {
  color: #333;
  width: fit-content;
  /* text-decoration: none; */
  /* border-bottom: 1px solid #000; */
  margin: 6px 0;
  /* border: solid; */
  display: flex;
  flex-direction: column;
  cursor: pointer;
}
#search-items>a:hover{
 color: #666;
}
#profile {
  margin: 0;
  display: flex;
  align-items: center;
  flex-direction: column;
  position: relative;
  /* display: none; */
}
#profile > img {
  margin-left: auto;
  width: 30px;
  filter: invert(1);
}

#menu {
  margin: 0;
  display: flex;
  align-items: center;
  flex-direction: column;
  position: relative;
  display: none;
}
.menu-wrapper {
  position: absolute;
  top: 44px;
  right: -25px;
  display: none;
  padding: 1rem 1rem;
  padding-bottom: 0;
  background: #ffffff39;
  border-radius: 0 0 1rem 1rem;
  background: linear-gradient(
    135deg,
    rgba(255, 255, 255, 0.3),
    rgba(0, 0, 0, 0.1)
  );
  backdrop-filter: blur(5px);
}

.menu-wrapper > div {
  min-width: 120px;
  width: fit-content;
  cursor: pointer;
  margin-bottom: 1.5rem;
  color: #333;
}
.menu-wrapper > div:hover {
  color: #fff;
}

#menu > img {
  margin-left: auto;
  width: 30px;
  filter: invert(1);
}
.menu-sign-out {
  display: none;
}

.fat-border {
  display: none;
  margin-top: 9px;
  padding: 0;
  height: 8px;
  width: 100%;
  background: #ffffff;
  border-radius: 14px 14px 0 0;
}

#home > .fat-border {
  display: block;
}

.thin-border {
  padding: 0;
  margin: 0 auto;
  height: 1.5px;
  width: 90%;
  background: #ffffff99;
  border-radius: 4px;
  /* margin-top:-8px ; */
  align-self: center;
}
/* ----------------------------Section-1--------------- */
#section-1 {
  z-index: 1;
  color: #fff;
  background-image: url(https://images.pexels.com/photos/158179/lake-constance-sheep-pasture-sheep-blue-158179.jpeg?auto=compress&cs=tinysrgb&w=1260&h=750&dpr=1);
  background-repeat: no-repeat;
  background-size: cover;
  position: relative;
  height: 700px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

#section-1 > h2 {
  font-size: 34px;
  margin-top: -6rem;
  font-weight: 600;
  margin-bottom: 7rem;
}

.border-small {
  width: 10px;
  height: 0.5px;
  background: #fff;
}

#sign-up {
  background: #43a1ff;
  color: #fff;
  border-radius: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 20px;
  padding: 10px 20px;
}

/* ----------------------------Section-2--------------- */

#section-2 {
  display: flex;
  flex-direction: column;
  margin-top: 6rem;
  align-items: center;
}

.places-wrapper {
  width: 90%;
  display: flex;
  justify-content: space-evenly;
  gap: 2rem;
  flex-wrap: wrap;
}

.places-wrapper > .col {
  width: 280px;
  height: 500px;
  margin-bottom: 1rem;
}

.place-card {
  font-weight: 600;
  border-radius: 30px;
  box-shadow: 0 0 5px #b6b6b6c2;
  overflow: hidden;
  cursor: pointer;
}

.card-image {
  box-sizing: border-box;
  width: 100%;
  height: 300px;
  /* overflow: hidden; */
}

.card-image > img {
  width: 100%;
  object-fit: cover;
  height: 100%;
}

.col {
  height: 500px;
}

.col-1 > div:first-child {
  height: 120px;
  font-size: 30px;
  padding: 0 10px;
  box-shadow: none;
}
.col-1 > div + div {
  font-size: initial;
  /* height: 60%; */
}

.col-2 > div > .card-image {
  height: 430px;
}

.col-3 {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.col-3 > div > .card-image {
  height: 160px;
}

.card-details {
  width: 100%;
  height: 70px;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
}
.card-details > div {
  box-sizing: border-box;
  width: 100%;
  justify-content: space-between;
  padding: 0 30px;
  display: flex;
  align-items: center;
}

.card-details > div:first-child > p {
  font-size: 15px;
  font-weight: 600;
  color: #aaaaaa;
}

.card-details > div:first-child > p:last-child {
  font-size: 15px;
}
.card-details > div:last-child > p {
  color: #999;
  font-weight: 300;
  font-size: 14px;
  padding-bottom: 10px;
}

.bluish-btn {
  background: #43a1ff;
  color: #fff;
  border: none;
  border-radius: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 20px;
  margin: 2rem;
  padding: 16px;
}

/* --------------------------Section-3------------------- */

#section-3 {
  width: 100%;
  margin: 4rem 0;
  margin-bottom: 3rem;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.sec-2-heading {
  margin-bottom: 3rem;
  font-size: 24px;
  font-weight: 700;
  color: #c5c5c5;
}
#cards-carousel {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  width: 100%;
  margin-top: 2rem;
  margin-bottom: 1rem;
  gap: 2rem;
}
.holiday-card {
  margin: 0 1rem;
  border-radius: 20px;
  overflow: hidden;
  width: 350px;
  box-shadow: 0 0 5px #00000038;
  cursor: pointer;
}
.holiday-card:nth-child(2) {
  transform: scale(1.04);
}

.holiday-image {
  /* height: 280px; */
  overflow: hidden;
  width: 100%;
}

.holiday-image > img {
  transform: scale(1.05);
  width: 100%;
}

.holiday-details {
  padding: 10px;
  height: 60px;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  background: #fff;
  box-sizing: border-box;
}

.holiday-details > div {
  flex: 2;
  box-sizing: border-box;
}
.holiday-details h3 {
  font-size: 14px;
  color: #3b3b3b;
}
.holiday-details>div>p{
  font-size: 14px;
  color: #3b3b3b;
}

.holiday-details > div:last-child {
  flex: 1;
  display: flex;
  align-items: center;
  justify-content: center;
}
.holiday-details > div:last-child {
  flex: 1;
}
.holiday-details > div:nth-child(2) > h3 {
  align-items: center;
  margin-top: -6px;
  margin-bottom: 2px;
}

.holiday-details > div:first-child {
  padding-left: 10px;
}

.holiday-btn {
  background: #43a1ff;
  padding: 8px 8px;
  font-size: 10px;
  color: #fff;
  border: none;
  border-radius: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.icon {
  width: 18px;
}
.destination {
  color: #686d6a;
  margin-top: 3px;
  display: flex;
  align-items: center;
  flex-direction: row;
}

.rating {
  font-size: 16px;
  color: #ff850d;
}

/* ---------------------section-4----------------- */

#section-4 {
  background: #ececec;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 3rem 0;
}
.banner {
  width: 90%;
  height: 500px;
  display: flex;
  align-items: center;
  justify-content: center;
  /* flex-wrap: wrap; */
}
.banner > div {
  border-radius: 20px;
}
.banner-image {
  width: 520px;
  height: 100%;
  overflow: hidden;
}
.banner-image > img {
  height: 100%;
  width: 100%;
  object-fit: cover;
}
.banner-card {
  margin-left: -50px;
  height: 400px;
  width: 450px;
  box-sizing: border-box;
  background: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  box-shadow: 0 0 5px #00000037;
  padding: 10px;
}
.banner-card > h2 {
  font-size: 30px;
  margin: 0.5rem 0;
  font-weight: bolder;
  color: #222;
}
.banner-card > h3 {
  color: #222;
  font-size: 22px;
  margin: 0.5rem 0;
}
.banner-card > button {
  padding: 20px 25px;
  font-weight: bold;
}

/* -----------------------Section-5---------------- */

#section-5 {
  display: flex;
  align-items: center;
  flex-direction: column;
  padding: 5rem 0;
}

#section-5 > h2 {
  font-size: 24px;
  font-weight: 700;
  margin: 2rem 0;
  margin-bottom: 1.5rem;
}

#testimonials {
  width: 90%;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  padding: 0 2rem;
  box-sizing: border-box;
}

.testimonial-card {
  flex: 1;
  min-width: 200px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  border: 1.5px solid #43b2ff;
  border-radius: 20px;
  padding: 1rem;
  margin: 1rem 2rem;
}
.testimonial-card > p {
  margin: 1rem 0;
}

.testimonial-card {
  /* ... */
  transform: translateX(-100%);
  opacity: 0;
  transition: all 0.5s ease;
}
#testimonials .testimonial-card:nth-child(1) {
  transition-delay: 0.2s;
}

#testimonials .testimonial-card:nth-child(2) {
  transition-delay: 0.4s;
}

#testimonials .testimonial-card:nth-child(3) {
  transition-delay: 0.6s;
}

.show {
  transform: translateX(0);
  opacity: 1;
}
.testimonial-image {
  width: 70px;
  height: 70px;
  border-radius: 50%;
  overflow: hidden;
  margin: 2rem 0;
  display: flex;
  align-items: center;
  justify-self: center;
  border: 1.5px solid #43b2ff;
  background: green;
}

.testimonial-image > img {
  margin-top: -3px;
  margin-left: -3px;
  width: 110%;
  height: 110%;
  transform: scale(1);
  object-fit: cover;
}
.testimonial-details {
  width: 100%;
  margin-top: 2rem;
  display: flex;
  justify-content: space-between;
  /* padding: 0 20px; */
}
.author {
  color: #43a1ff;
}



/* -------------------------Footer------------------ */
footer {
  padding-top: 1.8rem;
  background-color: #131316;
    color: #ffffff;
    font-family: 'Poppins', sans-serif;
}
#footer-top {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin: 2rem 0;
  margin-bottom: 4rem;
  box-sizing: border-box;
}
#footer-top > h2 {
  font-size: 22px;
}
#footer-top input,
#footer-top button {
  padding: 16px;
  border: none;
  background: #fff;
  border-radius: 20px;
  font-weight: 600;
  margin: 2rem 1rem;
  font-size: 12px;
}

#footer-top input::placeholder {
  color: #3ea8ff;
  font-weight: 600;
  font-size: 12px;
}
#footer-top input {
  max-width: 370px;
  min-width: 330px;
  padding-left: 2rem;
  color: #333;
  outline: none;
  font-size: 14px;
  font-weight: 400;
}
#footer-top button {
  color: #3ea8ff;
}

#footer-middle {
  display: flex;
  width: 100%;
  justify-content: space-evenly;
  gap: 4rem;
  padding: 0 6rem;
  box-sizing: border-box;
  flex-wrap: wrap;
  margin-bottom: 1rem;
}
.footer-col {
  flex: 1;
  min-width: 200px;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
}
.footer-col > h3 {
  margin-bottom: 1.5rem;
  font-size: 18px;
  font-weight: 400;
}

.footer-col > h2 {
  font-weight: 400;
  font-size: 14px;
  margin-bottom: 1.2rem;
}
.footer-col-1 > h3 {
  font-size: 30px;
  font-weight: 600;
}
.footer-col-1 > div {
  display: flex;
  align-items: center;
  margin-bottom: 1rem;
}
.footer-col-1 > div > img {
  width: 26px;
  margin-right: 1rem;
  filter: invert(1);
}

.footer-col-1 > div > p {
  font-size: 14px;
  font-weight: 400;
}

#footer-bottom {
  display: flex;
  justify-content: center;
  padding: 2rem 0;
  box-sizing: border-box;
  align-items: center;
}
#footer-bottom > h3 {
  font-weight: 400;
  margin-right: 2rem;
}
.footer-image {
  margin: 0 10px;
  width: 22px;
}

.footer-image > img {
  filter: invert(1);
  width: 100%;
  cursor: pointer;
}

/* ------------------------Responsiveness------------------- */

@media only screen and (max-width: 1200px) {
  .places-wrapper > .col-3 {
    width: 100%;
    gap: 4rem;
    justify-content: center;
    flex-wrap: wrap;
    padding: 0 2rem;
    flex-direction: row;
    height: fit-content;
  }
  .col-3 > div {
    flex: 0.8;
    min-width: 270px;
  }
  .holiday-card:nth-child(2) {
    transform: scale(1);
  }
}

@media only screen and (max-width: 1010px) {
  #guides {
    padding-left: 0;
  }
  #see-more {
    margin-left: 0;
  }
}

@media only screen and (max-width: 900px) {
  #support {
    display: none;
  }
  #search-section {
    top: 46px;
    right: -80px;
    width: 400px;
  }
}

@media only screen and (max-width: 790px) {
  #about {
    display: none;
  }
  #search-section {
    top: 42px;
    right: -50px;
    width: 400px;
  }
  #guides{
    margin-top: 11rem !important;
  }
}
@media only screen and (max-width: 700px) {
  #logo {
    padding: 0;
    margin-left: 1rem;
    align-self: flex-start;
  }
  /* #search {
    
  } */
 

  nav > div {
    margin-top: 10px;
  }
  #home,
  #locations,
  #discover,
  #sign-up ,
  #profile{
    display: none !important;
  }
  #menu {
    display: flex;
  }
  .menu-wrapper{
    top: 42px;
  }
  #section-1 > h2 {
    width: 300px;
    margin-top: 12.3rem;
    height: auto;
  }
  #guides{
    margin-top: 5rem !important;
    /* background: red; */
  }
}
@media only screen and (max-width: 800px) {
  #see-more {
    display: none;
  }
  #guides {
    margin-top: 7rem;
  }
  .guide-card {
    font-size: 90%;
    padding: 0 10px;
  }
  .guide-card img {
    height: 68px;
    width: auto;
    object-fit: cover;
  }
  #footer-top button {
    margin: 0 1rem;
  }
  #footer-top input {
    width: 90%;
    margin-bottom: 1.5rem;
  }
  .banner > div {
    height: 350px;
  }
  .banner > div + div {
    height: 300px;
  }
  .banner-card > h2 {
    font-size: 18px;
  }
  .banner-card > h3 {
    font-size: 16px;
  }
  #section-1 > h2 {
    font-size: 25px;
  }
  #timer {
    transform: scale(0.8);
  }
}
